Support » Plugin: OSM - OpenStreetMap » Can't show the map with import="osm_l" after upgrade to V2.8.1

  • Hi Mika!

    Tunning up a little my blogs I did upgrade WP to 3.9.1 and OSM plugin to 2.8.1 (probably from 2.7.x) and now can’t see the maps showing geotagged posts.

    The code working until now was

    [*osm_map lat=”10″ lon=”0″ zoom=”2″ width=”960″ height=”480″ marker_name=”wpttemp-red.png” type=”CycleMap” import=”osm_l”]

    The only way to show a map it’s removing import=”osm_l” parameter.

    Did checked again my post and noted that you say in doc that custom field must be called OSM_geo_data. Previously my custom field was called coordenadas_osm, I think I remember that in previous versions you can change that name in OSM plugin settings but I can’t find it now.
    Anyway I did changed the custom name to OSM_geo_data in my last post but it did not show it.

    You can see my blog at http://colegota.mapamundi.info
    I’m showing now a map with no markers under the failed map, but the problem it’s at the gap above under the text: “
    Este es el MapaMundi de mis viajes. Las chinchetas te llevarán a los reportajes de cada lugar.” where you can see a blank area where post’s map must be shown.

    Regards,
    Colegota

    https://wordpress.org/plugins/osm/

Viewing 1 replies (of 1 total)
  • Plugin Author MiKa

    (@photoweblog)

    Hi Colegota,

    yes previously you could define the custom field name by yourself – but to make the handling simplier, it was removed. Anyway, your geotags should still work, since only the UI was removed …

    Contact me here: http://wp-osm-plugin.hanblog.net/contact/ with your e-mail address to solve this issue together …

    PS: Did you also try: import=”osm” (without “_l”)
    PPS: And you should use width=”100%” for all the mobile devices out there 😉

Viewing 1 replies (of 1 total)
  • The topic ‘Can't show the map with import="osm_l" after upgrade to V2.8.1’ is closed to new replies.